CC26xx Driver Library |

- Main Page
- Related Pages
- CC26xx APIs
- Register Descriptions
- Online Resources

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions
[systick] System Tick

## Functions
__STATIC_INLINE void | SysTickEnable (void)
| Enables the SysTick counter. More...
__STATIC_INLINE void | SysTickDisable (void)
| Disables the SysTick counter. More...
__STATIC_INLINE void | SysTickIntRegister (void(*pfnHandler)(void))
| Registers an interrupt handler for the SysTick interrupt. More...
__STATIC_INLINE void | SysTickIntUnregister (void)
| Unregisters the interrupt handler for the SysTick interrupt. More...
__STATIC_INLINE void | SysTickIntEnable (void)
| Enables the SysTick interrupt. More...
__STATIC_INLINE void | SysTickIntDisable (void)
| Disables the SysTick interrupt. More...
__STATIC_INLINE void | SysTickPeriodSet (uint32_t ui32Period)
| Sets the period of the SysTick counter. More...
__STATIC_INLINE uint32_t | SysTickPeriodGet (void)
| Gets the period of the SysTick counter. More...
__STATIC_INLINE uint32_t | SysTickValueGet (void)
| Gets the current value of the SysTick counter. More...

## Detailed Description

## Function Documentation

__STATIC_INLINE void SysTickDisable | ( | void |  | ) |

Disables the SysTick counter.

This will stop the SysTick counter. If an interrupt handler has been registered, it will no longer be called until SysTick is restarted.

Returns
  None

Definition at line 112 of file systick.h.

__STATIC_INLINE void SysTickEnable | ( | void |  | ) |

Enables the SysTick counter.

This will start the SysTick counter. If an interrupt handler has been registered, it will be called when the SysTick counter rolls over.

Note
  Calling this function will cause the SysTick counter to (re)commence counting from its current value. The counter is not automatically reloaded with the period as specified in a previous call to SysTickPeriodSet(). If an immediate reload is required, the NVIC_ST_CURRENT register must be written to force this. Any write to this register clears the SysTick counter to 0 and will cause a reload with the supplied period on the next clock.

Returns
  None

Definition at line 93 of file systick.h.

__STATIC_INLINE void SysTickIntDisable | ( | void |  | ) |

Disables the SysTick interrupt.

This function will disable the SysTick interrupt, preventing it from being reflected to the processor.

Returns
  None

Definition at line 210 of file systick.h.

__STATIC_INLINE void SysTickIntEnable | ( | void |  | ) |

Enables the SysTick interrupt.

This function will enable the SysTick interrupt, allowing it to be reflected to the processor.

Note
  The SysTick interrupt handler does not need to clear the SysTick interrupt source as this is done automatically by NVIC when the interrupt handler is called.

Returns
  None

Definition at line 191 of file systick.h.

__STATIC_INLINE void SysTickIntRegister | ( | void(*)(void) | pfnHandler | ) |

Registers an interrupt handler for the SysTick interrupt.

This sets the handler to be called when a SysTick interrupt occurs.

Parameters

  pfnHandler | is a pointer to the function to be called when the SysTick interrupt occurs.

Returns
  None

See also
  IntRegister() for important information about registering interrupt handlers.

Definition at line 136 of file systick.h.

__STATIC_INLINE void SysTickIntUnregister | ( | void |  | ) |

Unregisters the interrupt handler for the SysTick interrupt.

This function will clear the handler to be called when a SysTick interrupt occurs.

Returns
  None

See also
  IntRegister() for important information about registering interrupt handlers.

Definition at line 163 of file systick.h.

__STATIC_INLINE uint32_t SysTickPeriodGet | ( | void |  | ) |

Gets the period of the SysTick counter.

This function returns the rate at which the SysTick counter wraps; this equals to the number of processor clocks between interrupts.

Returns
  Returns the period of the SysTick counter.

Definition at line 262 of file systick.h.

__STATIC_INLINE void SysTickPeriodSet | ( | uint32_t | ui32Period | ) |

Sets the period of the SysTick counter.

This function sets the rate at which the SysTick counter wraps; this equals to the number of processor clocks between interrupts.

Note
  Calling this function does not cause the SysTick counter to reload immediately. If an immediate reload is required, the NVIC_ST_CURRENT register must be written. Any write to this register clears the SysTick counter to 0 and will cause a reload with the `ui32Period` supplied here on the next clock after the SysTick is enabled.

Parameters

  ui32Period | is the number of clock ticks in each period of the SysTick counter; must be between 1 and 16,777,216 (0x1000000), both included.

Returns
  None

Definition at line 238 of file systick.h.

__STATIC_INLINE uint32_t SysTickValueGet | ( | void |  | ) |

Gets the current value of the SysTick counter.

This function returns the current value of the SysTick counter; this will be a value between the (period - 1) and zero, both included.

Returns
  Returns the current value of the SysTick counter

Definition at line 281 of file systick.h.